- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Deployment::DnC_Dump Class Reference

This class defines a set of overloaded "dump" methods to print the contents of various IDL data types, which passed as input. More...

`#include <DnC_Dump.h>`

List of all members.

## Static Public Member Functions
static void | dump (const char *caption, const ::CORBA::StringSeq &str_seq)
| Dump functions for CORBA sequences.
static void | dump (const char *caption, const TAO_String_Manager &str)
static void | dump (const char *caption, const CORBA::Boolean &val)
static void | dump (const Deployment::SatisfierProperty &sp)
static void | dump (const Deployment::SharedResource &sr)
static void | dump (const Deployment::Node &node)
static void | dump (const Deployment::Resource &resource)
static void | dump (const Deployment::Interconnect &conn)
static void | dump (const Deployment::Bridge &bridge)
static void | dump (const ::Deployment::Property &property)
static void | dump (const ::Deployment::AssemblyConnectionDescription &acd)
static void | dump (const ::Deployment::AssemblyPropertyMapping &apm)
static void | dump (const ::Deployment::ComponentPackageDescription &comppkgdesc)
static void | dump (const ::Deployment::ComponentPortDescription &compportdesc)
static void | dump (const ::Deployment::ComponentPropertyDescription &comppropdesc)
static void | dump (const ::Deployment::MonolithicImplementationDescription &mid)
static void | dump (const ::Deployment::PackageConfiguration &pc)
static void | dump (const ::Deployment::PackagedComponentImplementation &pci)
static void | dump (const ::Deployment::SubcomponentPortEndpoint &spe)
static void | dump (const ::Deployment::Requirement &requirement)
static void | dump (const ::Deployment::ComponentExternalPortEndpoint &cepe)
static void | dump (const ::Deployment::ComponentPackageReference &cpr)
static void | dump (const ::Deployment::ComponentImplementationDescription &cid)
static void | dump (const ::Deployment::SubcomponentInstantiationDescription &sid)
static void | dump (const ::Deployment::NamedImplementationArtifact &named_implementation)
static void | dump (const ::Deployment::ComponentInterfaceDescription &cid)
static void | dump (const ::Deployment::SubcomponentPropertyReference &scpr)
static void | dump (const ::Deployment::ExternalReferenceEndpoint &ere)
static void | dump (const ::Deployment::Domain &domain)
static void | dump (const ::Deployment::Capability &capability)
static void | dump (const ::Deployment::ImplementationArtifactDescription &iad)
static void | dump (const ::Deployment::ImplementationRequirement &ir)
static void | dump (const Deployment::ResourceUsageKind &ruk)
static void | dump (const Deployment::DeploymentPlan &plan)
static void | dump (const Deployment::MonolithicDeploymentDescription &mdd)
static void | dump (const Deployment::InstanceDeploymentDescription &idd)
static void | dump (const Deployment::PlanConnectionDescription &pcd)
static void | dump (const Deployment::PlanPropertyMapping &ppm)
static void | dump (const Deployment::ImplementationDependency &id)
static void | dump (const Deployment::ArtifactDeploymentDescription &add)
static void | dump (const Deployment::InstanceResourceDeploymentDescription &irdd)
static void | dump (const PlanSubcomponentPortEndpoint &pspe)
static void | dump (const ConnectionResourceDeploymentDescription &crdd)
static void | dump (const PlanSubcomponentPropertyReference &pspr)
static void | dump (const ResourceDeploymentDescription &rdd)
static void | dump (const ::Deployment::ComponentAssemblyDescription &cad)
static void | dump (const Deployment::RequirementSatisfier &rs)
## Static Private Member Functions
static void | dump (const ::CORBA::Any &any)

## Detailed Description

This class defines a set of overloaded "dump" methods to print the contents of various IDL data types, which passed as input.

## Member Function Documentation

void Deployment::DnC_Dump::dump | ( | const ::CORBA::Any & | any | ) | `[static, private]`

void Deployment::DnC_Dump::dump | ( | const Deployment::RequirementSatisfier & | rs | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentAssemblyDescription & | cad | ) | `[static]`

static void Deployment::DnC_Dump::dump | ( | const ResourceDeploymentDescription & | rdd | ) | `[static]`

static void Deployment::DnC_Dump::dump | ( | const PlanSubcomponentPropertyReference & | pspr | ) | `[static]`

static void Deployment::DnC_Dump::dump | ( | const ConnectionResourceDeploymentDescription & | crdd | ) | `[static]`

static void Deployment::DnC_Dump::dump | ( | const PlanSubcomponentPortEndpoint & | pspe | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::InstanceResourceDeploymentDescription & | irdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::ArtifactDeploymentDescription & | add | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::ImplementationDependency & | id | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::PlanPropertyMapping & | ppm | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::PlanConnectionDescription & | pcd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::InstanceDeploymentDescription & | idd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::MonolithicDeploymentDescription & | mdd | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::DeploymentPlan & | plan | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::ResourceUsageKind & | ruk | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ImplementationRequirement & | ir | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ImplementationArtifactDescription & | iad | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Capability & | capability | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Domain & | domain | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ExternalReferenceEndpoint & | ere | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::SubcomponentPropertyReference & | scpr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentInterfaceDescription & | cid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::NamedImplementationArtifact & | named_implementation | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::SubcomponentInstantiationDescription & | sid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentImplementationDescription & | cid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPackageReference & | cpr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentExternalPortEndpoint & | cepe | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::Requirement & | requirement | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::SubcomponentPortEndpoint & | spe | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::PackagedComponentImplementation & | pci | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::PackageConfiguration & | pc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::MonolithicImplementationDescription & | mid | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPropertyDescription & | comppropdesc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPortDescription & | compportdesc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::ComponentPackageDescription & | comppkgdesc | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::AssemblyPropertyMapping & | apm | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const ::Deployment::AssemblyConnectionDescription & | acd | ) | `[static]`

static void Deployment::DnC_Dump::dump | ( | const ::Deployment::Property & | property | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Bridge & | bridge | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Interconnect & | conn | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Resource & | resource | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::Node & | node | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::SharedResource & | sr | ) | `[static]`

void Deployment::DnC_Dump::dump | ( | const Deployment::SatisfierProperty & | sp | ) | `[static]`

A whole slew of overloaded dump routines for different IDL data types.

void Deployment::DnC_Dump::dump | ( | const char * | caption,
|  | const CORBA::Boolean & | val |
| ) |  |  | `[static]`

void Deployment::DnC_Dump::dump | ( | const char * | caption,
|  | const TAO_String_Manager & | str |
| ) |  |  | `[static]`

void Deployment::DnC_Dump::dump | ( | const char * | caption,
|  | const ::CORBA::StringSeq & | str_seq |
| ) |  |  | `[static]`

Dump functions for CORBA sequences.

The documentation for this class was generated from the following files:

- DnC_Dump.h
- DnC_Dump.cpp